/* t_run.c
 * Part of the RAMP project.
 * This file contains the code needed to run RAMP in text mode (MODE_TEXT).
 * Written by Electronic One <eo@autobahn.mb.ca>.
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "decode.h"
#include "open-close.h"
#include "switches.h"
#include "dialog.h"

void t_run(SW *sw)
{
   FILE *inf, *outf;  /* Standard input and output streams */
   
   if(sw->showver)
     t_show_ver();
   if(sw->showhelp)
     t_show_help();
   
   inf = open_in(sw);
   outf = open_out(sw);
   decode_sound(sw, inf, outf);
   close_in(inf);
   close_out(outf);
}


